"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.IconMinus = exports.IconPlus = void 0;

var _react = _interopRequireDefault(require("react"));

var _uiSchema = require("@ui-schema/ui-schema");

var Icon = function Icon(_ref) {
  var onClick = _ref.onClick,
      label = _ref.label,
      iconName = _ref.iconName,
      btnSize = _ref.btnSize;

  var _useUIMeta = (0, _uiSchema.useUIMeta)(),
      t = _useUIMeta.t;

  _react["default"].useEffect(function () {
    window.$('[data-toggle="tooltip"]').tooltip();
  }, []);

  var btnScale;

  switch (btnSize) {
    case 'small':
      btnScale = 0.5;
      break;

    case 'big':
      btnScale = 2;
      break;

    case 'medium':
    default:
      btnScale = 1;
      break;
  }

  return /*#__PURE__*/_react["default"].createElement("button", {
    type: "button",
    className: ["btn", "btn-transparent"].join(' '),
    style: {
      transform: "scale(" + btnScale + ", " + btnScale + ")"
    },
    "data-toggle": "tooltip",
    "data-placement": "right",
    title: t(label),
    onClick: onClick
  }, /*#__PURE__*/_react["default"].createElement(_uiSchema.Trans, {
    text: iconName
  }));
};

var IconPlus = function IconPlus(_ref2) {
  var onClick = _ref2.onClick,
      btnSize = _ref2.btnSize;
  return /*#__PURE__*/_react["default"].createElement(Icon, {
    label: "labels.add",
    iconName: "icons.Plus",
    onClick: onClick,
    btnSize: btnSize
  });
};

exports.IconPlus = IconPlus;

var IconMinus = function IconMinus(_ref3) {
  var onClick = _ref3.onClick,
      btnSize = _ref3.btnSize;
  return /*#__PURE__*/_react["default"].createElement(Icon, {
    label: "labels.remove",
    iconName: "icons.Minus",
    onClick: onClick,
    btnSize: btnSize
  });
};

exports.IconMinus = IconMinus;