"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SimpleList = void 0;

var _react = _interopRequireDefault(require("react"));

var _uiSchema = require("@ui-schema/ui-schema");

var _immutable = require("immutable");

var _LocaleHelperText = require("../../Component/LocaleHelperText/LocaleHelperText");

var _Icons = require("@ui-schema/ds-bootstrap/Component/Icons/Icons");

var SimpleList = (0, _uiSchema.extractValue)((0, _uiSchema.memo)(function (_ref) {
  var storeKeys = _ref.storeKeys,
      ownKey = _ref.ownKey,
      schema = _ref.schema,
      value = _ref.value,
      onChange = _ref.onChange,
      showValidity = _ref.showValidity,
      errors = _ref.errors,
      required = _ref.required;
  var btnSize = schema.getIn(['view', 'btnSize']) || 'small';
  var classFormGroup = ['form-group', 'd-flex', 'align-items-center'];
  var classFormControl = ['form-control'];

  if (showValidity && errors.hasError()) {
    classFormControl.push('is-invalid');
  }

  if (showValidity && !errors.hasError()) {
    classFormGroup.push('was-validated');
  }

  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_uiSchema.TransTitle, {
    schema: schema,
    storeKeys: storeKeys,
    ownKey: ownKey
  }), /*#__PURE__*/_react["default"].createElement("div", null, value ? value.map(function (val, i) {
    return /*#__PURE__*/_react["default"].createElement("div", {
      key: i,
      className: classFormGroup.join(' ')
    }, /*#__PURE__*/_react["default"].createElement(_uiSchema.PluginStack, {
      className: classFormControl.join(' '),
      showValidity: showValidity,
      storeKeys: storeKeys.push(i),
      parentSchema: schema,
      schema: schema.get('items'),
      required: required,
      noGrid: true
    }), /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement(_Icons.IconMinus, {
      btnSize: btnSize,
      onClick: function onClick() {
        onChange(storeKeys, ['value'], {
          type: 'update',
          update: function update(_ref2) {
            var storeValue = _ref2.value;
            return {
              value: storeValue.splice(i, 1)
            };
          },
          schema: schema,
          required: required
        });
      }
    })));
  }).valueSeq() : null, /*#__PURE__*/_react["default"].createElement("div", null, /*#__PURE__*/_react["default"].createElement(_Icons.IconPlus, {
    btnSize: btnSize,
    onClick: function onClick() {
      onChange(storeKeys, ['value'], {
        type: 'update',
        update: function update(_ref3) {
          var _ref3$value = _ref3.value,
              storeValue = _ref3$value === void 0 ? (0, _immutable.List)() : _ref3$value;
          return {
            value: storeValue.push('')
          };
        },
        schema: schema,
        required: required
      });
    }
  }))), /*#__PURE__*/_react["default"].createElement(_LocaleHelperText.ValidityHelperText
  /* only pass down errors which are not for a specific sub-schema */
  , {
    errors: errors,
    showValidity: showValidity,
    schema: schema
  }));
}));
exports.SimpleList = SimpleList;