import React from 'react';
import { NumberRenderer, StringRenderer, TextRenderer } from './Widgets/TextField';
import { Select, SelectMulti } from './Widgets/Select';
import { BoolRenderer } from './Widgets/OptionsBoolean';
import { OptionsCheck } from './Widgets/OptionsCheck';
import { OptionsRadio } from './Widgets/OptionsRadio';
import { SimpleList } from './Widgets/SimpleList';
import { RootRenderer, GroupRenderer } from './Grid';
import { pluginStack } from './pluginStack';
import { WidgetRenderer } from '@ui-schema/ui-schema/WidgetRenderer';
import { validators } from '@ui-schema/ui-schema/Validators/validators';

const MyFallbackComponent = ({
  type,
  widget
}) => /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("strong", null, "System Error in Widget!")), /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("strong", null, "Type:"), " ", type), /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("strong", null, "Widget:"), " ", widget));

export const widgets = {
  ErrorFallback: MyFallbackComponent,
  RootRenderer,
  GroupRenderer,
  WidgetRenderer,
  pluginStack,
  pluginSimpleStack: validators,
  types: {
    string: StringRenderer,
    boolean: BoolRenderer,
    number: NumberRenderer,
    integer: NumberRenderer
  },
  custom: {
    Text: TextRenderer,
    SimpleList,
    OptionsCheck,
    OptionsRadio,
    Select,
    SelectMulti
  }
};